//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ScktComp.hpp>
#include "Unit2.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TServerSocket *Srv;
        TButton *Button1;
        TMemo *LogMemo;
        TLabel *Label1;
        TButton *Button2;
        void __fastcall SrvAccept(TObject *Sender,
          TCustomWinSocket *Socket);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall SrvClientConnect(TObject *Sender,
          TCustomWinSocket *Socket);
        void __fastcall SrvClientDisconnect(TObject *Sender,
          TCustomWinSocket *Socket);
        void __fastcall SrvClientRead(TObject *Sender,
          TCustomWinSocket *Socket);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
        std::vector<Connection> connections;
        void setOptions(const AnsiString &file, int port);
        AnsiString fileName;
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
        void log(const AnsiString);
        std::map<AnsiString, int> stanice;
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
